/************************************************************************
*  SimpleOptDriver.h (Simple Driver for Minimization Algorithm)
*
*  Version:                     1.1
*  Date:                        11/30/94
*  Author:                      O. Knueppel
*************************************************************************/

#ifndef __SIMPLEOPTDRIVER__
#define __SIMPLEOPTDRIVER__

#include "iautodif.h"
#include "veclist.h"
#include "applist.h"

VOID SimpleOptDriver (INT Iterations, INT BranchLevels,
		      INTERVAL_AUTODIFF (*TheFunction)(INTERVAL_VECTOR &),
		      INTERVAL_VECTOR TestDomain,
		      SOLUTIONLIST & SolutionList, APPROXIMATIONLIST & ApproximationList,
		      INTERVAL & ValueBounds,
		      REAL Tolerance = 1E-6,
		      REAL RaiseFactor = 0.2,
		      REAL HeuristicExpandFactor = 0.2);

#endif /* __SIMPLEOPTDRIVER__ */
