/************************************************************************
*  TheFunction.C (Definitions of Function Parameters)
*
*  Version:                     1.2
*  Date:                        11/22/95
*  Author:                      O. Knueppel
*************************************************************************/

#include "ivalmat.h"
#include "thefunc.h"

REAL            (* RealFunction)(VECTOR &);              // Address of real function
INTERVAL        (* IntervalFunction)(INTERVAL_VECTOR &); // Address of interval function
INTERVAL_VECTOR (* IntervalGradient)(INTERVAL_VECTOR &); // Address of interval gradient
INTERVAL_MATRIX (* IntervalHessian)(INTERVAL_VECTOR &);  // Address of interval hessian
INTERVAL_VECTOR  FunctionDomain;                         // The function's domain
