/************************************************************************
*  TheFunction.h (Definitions of Function Parameters)
*
*  Version:                     1.2
*  Date:                        11/17/95
*  Author:                      O. Knueppel
*************************************************************************/

#ifndef __THEFUNCTION__
#define __THEFUNCTION__

extern REAL            (* RealFunction)(VECTOR &);              // Address of real function
extern INTERVAL        (* IntervalFunction)(INTERVAL_VECTOR &); // Address of interval function
extern INTERVAL_VECTOR (* IntervalGradient)(INTERVAL_VECTOR &); // Address of interval gradient
extern INTERVAL_MATRIX (* IntervalHessian)(INTERVAL_VECTOR &);  // Address of interval hessian
extern INTERVAL_VECTOR  FunctionDomain;                         // The function's domain

#endif /* __THEFUNCTION__ */
