/************************************************************************
*  Expand.h (Expansion Strategy Definition)
*
*  Version:                     1.1
*  Date:                        2/17/94
*  Author:                      O. Knueppel
*************************************************************************/

#ifndef __EXPAND__
#define __EXPAND__

#include "ivalmat.h"
#include "boolean.h"

BOOL ExpansionStep (VECTOR & x, INTERVAL_VECTOR & Enclosure, INTERVAL_VECTOR & Expansion);
// Expansion Strategy
// Input:  x: approximation of a stationary point of f
// Output: Enclosure: narrow enclosure of a stationary point of f
//         Expansion: expansion around a  stationary point of f
// Return: TRUE, if enclosure was possible

#endif /* __EXPAND__ */
